/*
 * CDG Software
 * Copyright (C) 2010 Jeff Gordy
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.cdgsoftware.icl.record;

import java.util.ArrayList;

import org.apache.log4j.Logger;

import org.cdgsoftware.icl.field.Field;
import org.cdgsoftware.icl.field.GenericANSField;
import org.cdgsoftware.icl.field.GenericNField;
import org.cdgsoftware.icl.field.Position;
import org.cdgsoftware.icl.field.ValidationCriteria;
import org.cdgsoftware.icl.field.validation.RecordTypeValidator;

/**
 * The Class ImageViewAnalysisRecord.
 */
public class ImageViewAnalysisRecord extends Record {
	public Field recordType;
	//TODO: fix this - complete the class
	public Field restOfData;
	
	static Logger log = Logger.getLogger(ImageViewAnalysisRecord.class);

	/**
	 * Instantiates a new image view analysis record.
	 */
	public ImageViewAnalysisRecord() {
        fields = new ArrayList<Field>();
        recordName = "Image View Analysis Record";
        recordTypeNumber = "54";
        initFields();
    }

    /**
     * Inits the fields.
     */
    private void initFields() {
        try {
            /* record type */
            recordType = new GenericNField(new Position(1, 2), RecordTypeValidator.INSTANCE, "54", "Image View Analysis Record");
            recordType.setValidationCriteria(ValidationCriteria.REQUIRED);
            
            restOfData = new GenericANSField(new Position(3, 80), "Rest of Data");
   
            
            fields.add(recordType);
            fields.add(restOfData);
            
        } catch (Exception e) {
            log.fatal(e.getMessage(), e);
        }
    }

}
